import { AppBaseInitParams } from 'app-seed';
import { AppBase } from './app-base';
export type AppGraphQlInitParams = AppBaseInitParams & {
    schema: any;
    resolvers: any;
};
export declare abstract class AppGraphQl extends AppBase {
    _schema: string;
    init(params: AppGraphQlInitParams): Promise<this>;
    start(): Promise<this>;
    private context;
    private formatError;
    get schema(): string;
}
